Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.utils
Class UserDataContainer.CopyAction.Remove

    java.lang.Object
      edu.uci.ics.jung.utils.UserDataContainer.CopyAction.Remove

All Implemented Interfaces:
  UserDataContainer.CopyAction

Enclosing class:
  UserDataContainer.CopyAction

public static class UserDataContainer.CopyAction.Remove
extends Object
implements UserDataContainer.CopyAction

Implements UserData.REMOVE

Author:
  danyelf
See Also:
  `UserData.REMOVE`

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer.CopyAction
`UserDataContainer.CopyAction.Clone, UserDataContainer.CopyAction.Remove, UserDataContainer.CopyAction.Shared`

Constructor Summary
`UserDataContainer.CopyAction.Remove()`

Method Summary
`Object` | `onCopy(Object value, UserDataContainer source, UserDataContainer target)` The callback triggered when a UserDatum is copied.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDataContainer.CopyAction.Remove

    public UserDataContainer.CopyAction.Remove()

Method Detail

### onCopy

    public Object onCopy(Object value,
                         UserDataContainer source,
                         UserDataContainer target)

  Description copied from interface: `UserDataContainer.CopyAction`
  The callback triggered when a UserDatum is copied. Implement this method to create your own CopyAction.

  Specified by:
    `onCopy` in interface `UserDataContainer.CopyAction`
  Parameters:
    `value` - The item of UserData that is being copied
    `source` - The UserDataContainer that holds this datum
    `target` - The UserDataContainer that will hold the new datum
  Returns:
    Object The copy of the UserData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD